enabled: true
built_in_css: true
inline_css: true
refresh_prevention: false
client_side_validation: true
debug: false
inline_errors: false
modular_form_fix: true
files:
  multiple: false          # To allow multiple files, default is single
  limit: 10                # Number of allowed files per field (multiple required)
  destination: 'self@'     # Where to upload the files (path and self@, page@, theme@)
  avoid_overwriting: false # Prevent files with the same name to be overridden. Date prefix will be added
  random_name: false       # Generate a random 15 long string name for the uploaded files
  filesize: 0              # Maximum file size allowed (in MB)
  accept:                  # List of mime/types or file extensions allowed (ie, image/*,.zip,.mp4)
    - image/*
recaptcha:
    version: 2-checkbox
    theme: light
    site_key:
    secret_key:
turnstile:
  theme: light                # options: [light | dark]
  site_key:
  secret_key:

basic_captcha:
  type: math           # Options: dotcount, position, math, characters
  debug: false             # Enable debug logging for troubleshooting

  # Image settings
  image:
    width: 135             # Image width (default: 135 for classic size)
    height: 40             # Image height (default: 40 for classic size)
    bg: '#ffffff'          # Background color

  # Character captcha settings (used for the 'characters' type)
  chars:
    length: 6              # Number of characters to display
    font: zxx-xed.ttf      # Font file in the plugin's fonts directory
    size: 24               # Font size
    box_width: 200         # Image width
    box_height: 70         # Image height
    start_x: 10            # Starting X position for text
    start_y: 40            # Starting Y position for text
    bg: '#ffffff'          # Background color
    text: '#000000'        # Text color

  # Math puzzle settings (used for the 'math' type)
  math:
    min: 1                 # Minimum number value
    max: 12                # Maximum number value
    operators: ['+','-','*']  # Available operators
